## mingw-w64-python-dill-0.4.0-1.src.tar.zst

=== docs/requirements.txt ===
# Packages required to build docs
# dependencies pinned as:
# https://github.com/readthedocs/readthedocs.org/blob/543f389ddd184ff91dac6a7b808dd21697292fd5/requirements/docs.txt

alabaster==1.0.0
anyio==4.8.0
babel==2.17.0
certifi==2025.1.31
charset-normalizer==3.4.1
click==8.1.8
colorama==0.4.6
docutils==0.21.2
exceptiongroup==1.2.2
h11==0.14.0
idna==3.10
imagesize==1.4.1
jinja2==3.1.6
markdown-it-py==3.0.0
markupsafe==3.0.2
mdit-py-plugins==0.4.2
mdurl==0.1.2
myst-parser==4.0.0
packaging==24.2
pygments==2.19.1
pyyaml==6.0.2
requests==2.32.3
six==1.17.0
sniffio==1.3.1
snowballstemmer==2.2.0
sphinx==8.1.3
sphinx-autobuild==2024.10.3
sphinx-copybutton==0.5.2
sphinx-design==0.6.1
sphinx-intl==2.3.1
sphinx-multiproject==1.0.0
sphinx-notfound-page==1.1.0
sphinx-prompt==1.9.0
sphinx-rtd-theme==3.0.2
sphinx-tabs==3.4.7
sphinxcontrib-applehelp==2.0.0
sphinxcontrib-devhelp==2.0.0
sphinxcontrib-htmlhelp==2.1.0
sphinxcontrib-httpdomain==1.8.1
sphinxcontrib-jquery==4.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==2.0.0
sphinxcontrib-serializinghtml==2.0.0
sphinxext-opengraph==0.9.1
starlette==0.45.3
tomli==2.2.1
typing-extensions==4.12.2
urllib3==2.3.0
uvicorn==0.34.0
watchfiles==1.0.4
websockets==14.2
